Skip to main content
Recently Deleted/Recently Deleted

RestartManagedAgentRuntime

Restart the Collector, not its Supervisor. Requires agent.operate in the stored Agent scope, an online Agent, no conflicting task and a valid precheck. Repeated requests recover the original task. An uncertain command delivery is reconciled without blindly sending another restart.

POST/api/v1/lifecycle/managed-agent/agents/{id}/restart

Operation ID

RestartManagedAgentRuntime

Since

1.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • id
    StringRequired

    Unique identifier of the managed agent

Body Fields

  • requestId
    String

    Request id for this resource

    Example: value

  • precheckId
    String

    Precheck id for this resource

    Example: value

  • reason
    String

    Optional bounded operator reason, for example operator_requested.

    Example: value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • taskId
    String

    Task id for this resource

    Example: value

  • state
    String

    Persisted task state, not an acknowledgement of command execution.

    Example: value